<?php get_header(); ?>
			
			<div id="content" class="clearfix">
			
				<div id="main" class="col620 clearfix" role="main">
				<header>
					<?php if (is_category()) { ?>
						<h1 class="archive_title">
							<span><?php _e("Posts Categorized:", 'about-me'); ?></span> <?php single_cat_title(); ?>
						</h1>
					<?php } elseif (is_tag()) { ?> 
						<h1 class="archive_title">
							<span><?php _e("Posts Tagged:", 'about-me'); ?></span> <?php single_tag_title(); ?>
						</h1>
					<?php } elseif (is_author()) { ?>
                    	<?php
						$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
						?>
						<h1 class="archive_title">
							<span><?php _e("Posts By:", 'about-me'); ?></span> <?php echo $curauth->nickname; ?>
						</h1>
					<?php } elseif (is_day()) { ?>
						<h1 class="archive_title">
							<span><?php _e("Daily Archives:", 'about-me'); ?></span> <?php printf(__('%s', 'about-me'), get_the_date('l, F j, Y')); ?>
						</h1>
					<?php } elseif (is_month()) { ?>
					    <h1 class="archive_title">
					    	<span><?php _e("Monthly Archives:", 'about-me'); ?></span> <?php printf(__('%s', 'about-me'), get_the_date('F Y')); ?>
					    </h1>
					<?php } elseif (is_year()) { ?>
					    <h1 class="archive_title">
					    	<span><?php _e("Yearly Archives:", 'about-me'); ?></span> <?php printf(__('%s', 'about-me'), get_the_date('Y')); ?>
					    </h1>
					<?php } ?>
                    </header>

					<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					
					<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
						
						<header>
							
							<h1 class="h2"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
							
							<p class="meta"><?php _e("Posted", 'about-me'); ?> <a href="<?php the_permalink() ?>" rel="bookmark"><time datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php printf(__(get_the_date('F jS, Y'), 'about-me')); ?></time></a> <?php _e("by", 'about-me'); ?> <?php the_author_posts_link(); ?> <span class="amp">&amp;</span> <?php _e("filed under", 'about-me'); ?> <?php the_category(', '); ?>.</p>
						
						</header> <!-- end article header -->
					
						<section class="post_content">
						
							<?php the_excerpt(); ?>
					
						</section> <!-- end article section -->
					
					</article> <!-- end article -->
					
					<?php endwhile; ?>	
					
					<?php if (function_exists('page_navi')) { // if expirimental feature is active ?>
						
						<?php page_navi(); // use the page navi function ?>

					<?php } else { // if it is disabled, display regular wp prev & next links ?>
						<nav class="wp-prev-next">
							<ul class="clearfix">
								<li class="prev-link"><?php next_posts_link(__('&laquo; Older Entries', 'about-me')) ?></li>
								<li class="next-link"><?php previous_posts_link(__('Newer Entries &raquo;', 'about-me')) ?></li>
							</ul>
						</nav>
					<?php } ?>
								
					
					<?php else : ?>
					
					<article id="post-not-found">
					    <header>
					    	<h1><?php _e("No Posts Yet", 'about-me'); ?></h1>
					    </header>
					    <section class="post_content">
					    	<p><?php _e("Sorry, What you were looking for is not here.", 'about-me'); ?></p>
					    </section>
					    <footer>
					    </footer>
					</article>
					
					<?php endif; ?>
			
				</div> <!-- end #main -->
    
				<?php get_sidebar(); // sidebar 1 ?>
    
			</div> <!-- end #content -->

<?php get_footer(); ?>