<?php 
/* 
Template Name: Blog Page Template 
*/
get_header(); ?>
			
			<div id="content" class="clearfix">
			
				<div id="main" class="col620 clearfix" role="main">

					<?php
					$temp = $wp_query;
					$wp_query = null;
					$wp_query = new WP_Query();
					$wp_query->query('posts_per_page=10'.'&paged='.$paged);
					while ($wp_query->have_posts()) : $wp_query->the_post();
					?>
					
					<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
						
						<header>
                        
							<?php if ( get_post_format() ) : ?>
                            <h5 class="format-heading"><?php _e(get_post_format(), 'about-me'); ?></h5>
                            <?php elseif ( is_sticky() ) : ?>
                            <h5 class="format-heading"><?php _e('featured', 'about-me'); ?></h5>
                            <?php endif; ?>
                            
							<h1 class="h2"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
							
							<p class="meta"><?php _e("Posted", 'about-me'); ?> <a href="<?php the_permalink() ?>" rel="bookmark"><time datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php printf(__(get_the_date('F jS, Y'), 'about-me')); ?></time></a> <?php _e("by", 'about-me'); ?> <?php the_author_posts_link(); ?> <span class="amp">&amp;</span> <?php _e("filed under", 'about-me'); ?> <?php the_category(', '); ?>.</p>
						
						</header> <!-- end article header -->
					
						<section class="post_content clearfix">
                        <?php if ( has_post_format( 'gallery' ) ) : ?>
                        
                            <?php $images = get_children( array( 'post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC', 'numberposts' => 999 ) );
							if ( $images ) :
								$total_images = count( $images );
								$image = array_shift( $images );
								$image_img_tag = wp_get_attachment_image( $image->ID, 'thumbnail' );
						?>
		
						<figure class="gallery-thumb left">
							<a href="<?php the_permalink(); ?>"><?php echo $image_img_tag; ?></a>
						</figure><!-- .gallery-thumb -->
		
						<p><em><?php printf( _n( 'This gallery contains <a %1$s>%2$s photo</a>.', 'This gallery contains <a %1$s>%2$s photos</a>.', $total_images, 'about-me' ),
								'href="' . esc_url( get_permalink() ) . '" title="' . sprintf( esc_attr__( 'Permalink to %s', 'about-me' ), the_title_attribute( 'echo=0' ) ) . '" rel="bookmark"',
								number_format_i18n( $total_images )
							); ?></em></p><?php endif; ?>
                            <?php the_excerpt(); ?>
                            
                            <?php else : ?>
                            
                            <?php the_post_thumbnail( 'medium' ); ?>
							<?php the_excerpt(); ?>
                            <?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'about-me' ) . '</span>', 'after' => '</div>' ) ); ?>
                            <?php endif; ?>
						</section> <!-- end article section -->
						
						<footer>
			
							<p class="tags"><?php the_tags(__('<span class="tags-title">Tags:</span> ', 'about-me'), ', ', ''); ?></p>
							
						</footer> <!-- end article footer -->
					
					</article> <!-- end article -->
					
					<?php comments_template(); ?>
					
					<?php endwhile; ?>	
					
					
						<nav class="wp-prev-next">
							<ul class="clearfix">
								<li class="prev-link"><?php next_posts_link(__('&larr; Older Entries', 'about-me')) ?></li>
								<li class="next-link"><?php previous_posts_link(__('Newer Entries &rarr;', 'about-me')) ?></li>
							</ul>
						</nav>
						
					
					<?php $wp_query = null; $wp_query = $temp;?>
			
				</div> <!-- end #main -->
    
				<?php get_sidebar(); // sidebar 1 ?>
    
			</div> <!-- end #content -->

<?php get_footer(); ?>